unit lang;

interface

uses
  Sysutils,Inifiles;

//EXPORTS
type
  stlang = record
  chooseterminal  : string;
  serverstartfail : string;
  serverstartok  : string;
end;

procedure OpenLanguageFile(filename : string; var mylang : stlang);

implementation

uses
  Unit1;

procedure OpenLanguageFile(filename : string; var mylang : stlang);
var
  EZIni: TIniFile;

  straux : string;
  recv   : string;
  send   : string;
  load   : string;
  add    : string;
  del    : string;
  reload : string;
  save   : string;
begin
  EZIni := TIniFile.Create(ExtractFilePath(ParamStr(0)) + filename);

  with EZIni do begin
    //TABS
    Form1.TabSheet4.Caption := ReadString('TABS', 'tabrecv',   'Received');
    Form1.TabSheet1.Caption := ReadString('TABS', 'tabprod',   'Products');
    Form1.TabSheet2.Caption := ReadString('TABS', 'tabmsg',    'Messages');
    Form1.TabSheet5.Caption := ReadString('TABS', 'tabcard',   'Card');
    Form1.TabSheet6.Caption := ReadString('TABS', 'tabconfig', 'Configuration');

    //ALERTS
    mylang.chooseterminal  := ReadString('ALERT', 'chooseterminal', 'Choose a Terminal.');
    mylang.serverstartfail := ReadString('ALERT', 'serverstarfail', 'Fail starting server.');
    mylang.serverstartok   := ReadString('ALERT', 'serverstartok',  'Server started successfully.');

    //MENU
    Form1.Language1.Caption  := ReadString('MENU', 'language',  'Language');
    Form1.Portugues1.Caption := ReadString('MENU', 'language1', 'Portuguese');
    Form1.English1.Caption   := ReadString('MENU', 'language2', 'English');

    //PADRAO
    recv   := ReadString('DEFAULT', 'pdrrecv',   'Receive');
    send   := ReadString('DEFAULT', 'pdrsend',   'Send');
    load   := ReadString('DEFAULT', 'pdrload',   'Load');
    add    := ReadString('DEFAULT', 'pdradd',    'Add');
    del    := ReadString('DEFAULT', 'pdrdel',    'Delete');
    reload := ReadString('DEFAULT', 'pdrreload', 'Reload');
    save   := ReadString('DEFAULT', 'pdrsave',   'Save');

    //RECEIVED
    Form1.BtnClearMemo.Caption := ReadString('RECEIVED', 'btnclear', 'Clear');

    //CONFIG
    //ethernet
    Form1.GrpEthernet.Caption := ReadString('CONFIG', 'grpethernet', 'Ethernet');
    Form1.LabServIP.Caption   := ReadString('CONFIG', 'labservip',     'Server IP');
    Form1.LabCliIP.Caption    := ReadString('CONFIG', 'labcliip',       'Terminal IP');
    Form1.LabNetMask.Caption  := ReadString('CONFIG', 'labnetmask',   'Netmask');
    Form1.LabText1.Caption  := ReadString('CONFIG', 'labtext1',     'Text 1');
    Form1.LabText2.Caption  := ReadString('CONFIG', 'labtext2',     'Text 2');
    Form1.LabText3.Caption  := ReadString('CONFIG', 'labtext3',     'Text 3');
    Form1.LabText4.Caption  := ReadString('CONFIG', 'labtext4',     'Text 4');
    Form1.LabTimeExi.Caption  := ReadString('CONFIG', 'labtimeexi',    'Time Exib');

    Form1.BtnGetCfg.Caption  := recv;
    Form1.BtnSendCfg.Caption := send;

    //configuration
    Form1.GrpUpdate.Caption := ReadString('CONFIG', 'grpcfg',          'Configuration');
    Form1.LabGateway.Caption := ReadString('CONFIG', 'labgateway',     'Gateway');
    Form1.LabNameServer.Caption := ReadString('CONFIG', 'labnameserver',  'Nameserver');
    Form1.LabTCName.Caption := ReadString('CONFIG', 'labtcname',      'TCName');
    Form1.LabSrv.Caption := ReadString('CONFIG', 'labsrv',             'Server');
    Form1.LabUsr.Caption := ReadString('CONFIG', 'labusr',             'User');
    Form1.LabPass.Caption := ReadString('CONFIG', 'labpass',           'Password');

    Form1.BtnGetUpdConfig.Caption  := recv;
    Form1.BtnSendUpdConfig.Caption := send;

    //extras
    Form1.GrpExtras.Caption    := ReadString('CONFIG', 'grpextra',        'Extras');
    Form1.CBdynamicip.Caption  := ReadString('CONFIG', 'cbdynamicip',   'Dynamic IP');
    Form1.CBfindserver.Caption := ReadString('CONFIG', 'cbfindserver', 'Auto Server');

    Form1.BtnGetParam.Caption  := recv;
    Form1.BtnSendParam.Caption := send;

    //PRODUCTS
    Form1.BtnProdAdd.Caption  := add;
    Form1.BtnProdDel.Caption  := del;
    Form1.BtnProdRel.Caption  := reload;
    Form1.BtnProdSave.Caption := save;

    Form1.StringGrid1.Cells[0,0] := ReadString('PRODUCTS', 'tabbarcode', 'BarCode');
    Form1.StringGrid1.Cells[1,0] := ReadString('PRODUCTS', 'tabproduct', 'Product');
    Form1.StringGrid1.Cells[2,0] := ReadString('PRODUCTS', 'tabprice',   'Price');

    Form1.LabCurrency.Caption := ReadString('PRODUCTS', 'labcurrency', 'Currency');

    //CARD
    Form1.BtnCardAdd.Caption  := add;
    Form1.BtnCardDel.Caption  := del;
    Form1.BtnCardRel.Caption  := reload;
    Form1.BtnCardSave.Caption := save;

    Form1.StringGrid2.Cells[0,0] := ReadString('CARD', 'tabcardcode', 'CardCode');
    Form1.StringGrid2.Cells[1,0] := ReadString('CARD', 'tabclient',   'Client');
    Form1.StringGrid2.Cells[2,0] := ReadString('CARD', 'tabbonus',    'Bonus');

    //MESSAGES
    Form1.GrpIMsg.Caption := ReadString('CONFIG', 'grpimsg', 'Instant Text');
    Form1.Labline1.Caption  := ReadString('MESSAGES', 'labline1',  'Line 1');
    Form1.Labline2.Caption  := ReadString('MESSAGES', 'labline2',  'Line 2');
    Form1.LabTimeEx.Caption := ReadString('MESSAGES', 'labtimeex', 'Time Exib');

    Form1.BtnAllwaysLive.Caption := ReadString('MESSAGES', 'btnallwayslive', 'Allways Live');
    Form1.BtnCheckLive.Caption   := ReadString('MESSAGES', 'btnchecklive',   'Check Live');
    Form1.BtnRestartSoft.Caption := ReadString('MESSAGES', 'btnrstsoft',     'Restart Soft');
    Form1.BtnUpdSoft.Caption     := ReadString('MESSAGES', 'btnupdsoft',     'Update Soft');

    Form1.GrpIImg.Caption      := ReadString('MESSAGES', 'grpiimg',      'Instant Image');
    Form1.BtnIImgFont.Caption  := ReadString('MESSAGES', 'btniimgfont',  'Font');
    Form1.BtnIImgSave.Caption  := ReadString('MESSAGES', 'btniimgsave',  'Save');
    Form1.BtnIImgClear.Caption := ReadString('MESSAGES', 'btniimgclear', 'Clear');

    Form1.GrpMAC.Caption    := ReadString('MESSAGES', 'grpmac'   , 'MAC Address');
    Form1.LabMAC.Caption    := ReadString('MESSAGES', 'labmac'   , 'MAC Address');
    Form1.LabIFace.Caption  := ReadString('MESSAGES', 'labiface' , 'Interface');
    Form1.GrpIFace.Caption  := ReadString('MESSAGES', 'grpiface' , 'Interface');
    Form1.GrpIFace.Items.Strings[0]  := ReadString('MESSAGES', 'grpifacea',  'Wired');
    Form1.GrpIFace.Items.Strings[1]  := ReadString('MESSAGES', 'grpifaceb',  'Wireless');
    Form1.GrpIFace.Items.Strings[2]  := ReadString('MESSAGES', 'grpifacec',  'Current');

    Form1.BtnGetMAC.Caption := recv;

    //IMAGES
    Form1.BtnImgAdd.Caption  := add;
    Form1.BtnImgDel.Caption  := del;
    Form1.BtnImgRel.Caption  := reload;
    Form1.BtnImgSave.Caption := save;

    Form1.StringGrid3.Cells[0,0] := ReadString('IMAGES', 'tabimgfilename', 'Filename');
    Form1.StringGrid3.Cells[1,0] := ReadString('IMAGES', 'tabimgloop',     'Loop');
    Form1.StringGrid3.Cells[2,0] := ReadString('IMAGES', 'tabimgpause',    'Pause');

    //HINT
    straux := ReadString('HINT', 'dlbclickimage', 'Double Click to Load an Image');
    Form1.EdtIImg.Hint := straux;
    Form1.StringGrid3.Hint := straux;
    Form1.Image1.Hint := straux;

    //WIFI
    Form1.GrpWiFi.Caption              := ReadString('WIFI', 'grpwifi',      'WiFi');
    Form1.GrpEnbWiFi.Caption           := ReadString('WIFI', 'grpenbwifi',   'Enable WiFi');
    Form1.GrpEnbWiFi.Items.Strings[0]  := ReadString('WIFI', 'grpenbwifia',  'Disable');
    Form1.GrpEnbWiFi.Items.Strings[1]  := ReadString('WIFI', 'grpenbwifib',  'Enable');
    Form1.GrpModeWiFi.Caption          := ReadString('WIFI', 'grpmodewifi',  'Mode');
    Form1.GrpModeWiFi.Items.Strings[0] := ReadString('WIFI', 'grpmodewifia', 'Managed');
    Form1.GrpModeWiFi.Items.Strings[1] := ReadString('WIFI', 'grpmodewifib', 'Ad-Hoc');
    Form1.LabSSIDWiFi.Caption          := ReadString('WIFI', 'labssidwifi',  'SSID');
    Form1.LabChanWiFi.Caption          := ReadString('WIFI', 'labchanwifi',  'Channel');
    Form1.GrpWEPWiFi.Caption           := ReadString('WIFI', 'grpwepwifi',   'WEP');
    Form1.GrpWEPWiFi.Items.Strings[0]  := ReadString('WIFI', 'grpwepwifia',  'Disable');
    Form1.GrpWEPWiFi.Items.Strings[1]  := ReadString('WIFI', 'grpwepwifib',  'Enable');
    Form1.LabWEPWiFi.Caption           := ReadString('WIFI', 'labwepwifi',   'WEP');

    Form1.BtnGetWlanConfig.Caption  := recv;
    Form1.BtnSendWlanConfig.Caption := send;

  end;

  EZIni.Free
end;


end.
